/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 *
 * PurchaseOrderBasicServiceRemote.java
 */

package org.eu.adapt.demonstrator.bs.retailer;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import org.eu.adapt.services.demo_1_1.retailer.PurchaseOrderBasicService_wsdl.types.PurchaseOrderState;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_08.RetailOrder_xsd.PartsOrderResponseType;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_08.RetailOrder_xsd.PartsOrderType;

public interface PurchaseOrderBasicServiceRemote extends EJBObject
{
    public String[] listPurchaseOrders()
        throws RemoteException;

    public PurchaseOrderState getPurchaseOrderState(String purchaseOrderName)
        throws RemoteException;

    public boolean checkPurchaseOrder(PartsOrderType purchaseOrder)
        throws RemoteException;
    
    public PartsOrderResponseType addPurchaseOrder(PartsOrderType purchaseOrder)
        throws RemoteException;
    
    public PartsOrderResponseType createEmptyPartsOrderResponse()
        throws RemoteException;
}