/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * InventoryHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface InventoryHomeLocal extends EJBLocalHome
{
    public InventoryLocal create(WarehouseLocal warehouse, ProductLocal product, int minAmount, int maxAmount)
        throws CreateException, EJBException;

    public InventoryLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
