/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * PurchaseOrderHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface PurchaseOrderHomeLocal extends EJBLocalHome
{
    public PurchaseOrderLocal create(CustomerReferenceLocal customerReference)
        throws CreateException, EJBException;

    public PurchaseOrderLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
