/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 */

package org.eu.adapt.demonstrator.client;

import org.eu.adapt.tester.TestRun;
import org.eu.adapt.tester.latency.LatencyTestCase;
import org.eu.adapt.tester.throughput.ThroughputTestCase;

public class DemoTestRun extends TestRun
{
    public DemoTestRun()
    {
        String[] args = new String[1];
        args[0] = "http://localhost:8080/jboss-net/services/LoggingBasicService";

        addTestCase(new LatencyTestCase(DemoLatencyTestSuite.class, args, 1, 10000, 0, 0, 20, 2000));
        addTestCase(new ThroughputTestCase(DemoThroughputTestSuite.class, args, 4, 10000));
    }
}
