/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * FinishedGoodsLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface FinishedGoodsLocal extends EJBLocalObject
{
    public String getId()
        throws EJBException;

    public String getDescription()
        throws EJBException;

    public Collection getInventoryItems()
        throws EJBException;

    public Collection getProductionLines()
        throws EJBException;

    public Collection getItems()
        throws EJBException;
}
