/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * PurchaseOrderItemHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;

import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface CatalogItemHomeLocal extends EJBLocalHome
{
    public CatalogItemLocal create(CatalogLocal catalog, ProductLocal product, String name, String description, String brand, float price)
        throws CreateException, EJBException;

    public CatalogItemLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
