/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * CustomerReferenceHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface CustomerReferenceHomeLocal extends EJBLocalHome
{
    public CustomerReferenceLocal create(String name, String street1, String street2, String city, String state, String zip, String country)
        throws CreateException, EJBException;

    public CustomerReferenceLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
