/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * PurchaseOrderItemHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface PurchaseOrderItemHomeLocal extends EJBLocalHome
{
    public PurchaseOrderItemLocal create(PurchaseOrderLocal purchaseOrder, ProductLocal product, int quantity, float price)
        throws CreateException, EJBException;

    public PurchaseOrderItemLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
